• 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧

添加火力地堡联系到Java应用程序

java 来源:Piyush_Chhabra 4次浏览

我试图火力地堡管理员添加到我的Java Web应用程序,用于控制火力地堡的CRUD操作,但它抛出下面的错误 -添加火力地堡联系到Java应用程序

Caused by: java.lang.UnsupportedClassVersionError: com/google/firebase/FirebaseOptions$Builder : Unsupported major.minor version 52.0

正如我所看到的火力地堡网站,它应该支持jdk/jre 1.7或更高版本,我使用1.7。它仍然表现出兼容性问题。

public void init() throws FileNotFoundException{ 
    FirebaseOptions options = new FirebaseOptions.Builder() 
     .setServiceAccount(new FileInputStream(getClass().getClassLoader().getResource("serviceFirebase.json").getPath())) 
     .setDatabaseUrl("https://<MyAppName>.firebaseio.com/") 
     .build(); 

    FirebaseApp.initializeApp(options); 
} 

===========解决方案如下:

我解决了它。问题出在firebase-admin jar。我使用的版本4.0.0有一些错误。只要我更新到4.0.2版本,问题就消失了。 :)


版权声明:本文转自网络文章,转载此文章仅为分享知识,如有侵权,请联系管理员进行删除。
喜欢 (0)